Page Summary
-
This documentation outlines how to update the Local Inventory Ads (LIA) settings for a specific account using the Shopping Content API.
-
The request requires specifying the
merchantIdandaccountIdas path parameters and providing aLiaSettingsobject in the request body. -
A successful request will return the updated
LiaSettingsobject for the specified account. -
Authorization using the
https://www.googleapis.com/auth/contentscope is necessary for making this API call.
Updates the LIA settings of the account. Any fields that are not provided are deleted from the resource.
HTTP request
PUT https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/liasettings/{accountId}
Path parameters
| Parameters | |
|---|---|
merchantId |
The ID of the managing account. If this parameter is not the same as accountId, then this account must be a multi-client account and |
accountId |
The ID of the account for which to get or update LIA settings. |
Request body
The request body contains an instance of LiaSettings.
Response body
If successful, the response body contains an instance of LiaSettings.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.